[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt-users] Failed to build libvirt-1.0.0-1.fc17.src.rpm on a CentOS 6.3 system





On 11/17/2012 02:47 AM, Frank Shi wrote:
Thanks much Abbas for your prompt response. Right, I have fixed all the
dependency issues. It compiled but failed during running test cases. I
prefer building from src-rpm is because I need to install the package onto
other machines. Building from src-rpm can generate rpm so it makes
future deploy easier.

Then the start off point will be CentOS' srpms. You might still need to
do some patchwork and testing before you get a working rpm (a reason why
there's no third party repo for latest kvm and libvirt). Installing on
multiple machines sounds like you tend towards stability and Fedora's
packages won't do that job anyway!

Anyway, follow your recommendation, I downloaded the source tar and tried
to compile it from source. This time I am seeing following problems. What
could be the problem?

Thanks, Frank

===============
$ tar xvf libvirt-1.0.0-rc1.tar.gz
$ libvirt-1.0.0
$ ./configure

Try using the supplied autogen script first.

libxl/libxl_conf.c:471: error: 'libxl_domain_build_info'

It's a missing dep error.

Quick time-savers for latest KVM and Libvirt (on latest CentOS 6.3):

# qemu-kvm deps
yum install gcc pkgconfig SDL-devel zlib-devel alsa-lib-devel
pciutils-devel gnutls-devel glib glib2-devel
./configure --prefix=/usr --sysconfdir=/etc
make && make install

# libvirt deps
yum install git python-devel libtool patch libxml2 libxml2-devel
yajl-devel device-mapper-devel libnl-devel
./autogen-sh --system
make && make install

# packages to remove
qemu-img
qemu-kvm
libvirt
libvirt-client
virt-top


The kvm_intel manually loaded of course!

------
bassu





[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]